<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__conn__param__updated__in__controller__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_conn_param_updated_in_controller_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1abbf10299a7f821ecb0b61c096c73207e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_conn_param_updated_in_controller_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Status corresponding to this event will be the HCI error code as defined in BLE spec 4.1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="698" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="698" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1ac06a4afc1d99589dcae8b434cc08da2a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_param_updated_in_controller_t::connIntv</definition>
        <argsstring />
        <name>connIntv</name>
        <briefdescription>
<para>Connection interval used on this connection. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0006 to 0x0C80 Time Range: 7.5 ms to 4 sec </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="704" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="704" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1ad7cf9385cad3e65df171a99fdda7789f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_param_updated_in_controller_t::connLatency</definition>
        <argsstring />
        <name>connLatency</name>
        <briefdescription>
<para>Slave latency for the connection in a number of connection events. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0000 to 0x01F3 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="709" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="709" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1a7fdeb834c4582c1b27af7c3b489aeb7b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gap_conn_param_updated_in_controller_t::supervisionTO</definition>
        <argsstring />
        <name>supervisionTO</name>
        <briefdescription>
<para>Supervision timeout for the LE Link. </para>        </briefdescription>
        <detaileddescription>
<para>Supervision timeout will be supervisionTO * 10 ms Time Range: 100 msec to 32 secs </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="715" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="715" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1aed7a1755cdc229db27b036101e1485df" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_conn_param_updated_in_controller_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>bd handle of the remote device </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="718" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="718" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Current Connection Parameters used by controller. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="720" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="694" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="695" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1aed7a1755cdc229db27b036101e1485df" virt="non-virtual"><scope>cy_stc_ble_gap_conn_param_updated_in_controller_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1ac06a4afc1d99589dcae8b434cc08da2a" virt="non-virtual"><scope>cy_stc_ble_gap_conn_param_updated_in_controller_t</scope><name>connIntv</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1ad7cf9385cad3e65df171a99fdda7789f" virt="non-virtual"><scope>cy_stc_ble_gap_conn_param_updated_in_controller_t</scope><name>connLatency</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1abbf10299a7f821ecb0b61c096c73207e" virt="non-virtual"><scope>cy_stc_ble_gap_conn_param_updated_in_controller_t</scope><name>status</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__conn__param__updated__in__controller__t_1a7fdeb834c4582c1b27af7c3b489aeb7b" virt="non-virtual"><scope>cy_stc_ble_gap_conn_param_updated_in_controller_t</scope><name>supervisionTO</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>